> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donate.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a config stats by id

> Get a config stats including donation channels and aggregate stats.



## OpenAPI

````yaml https://www.donate.gg/api/v1/openapi get /configs/{configId}/stats
openapi: 3.0.0
info:
  title: Donate Developer API
  version: 1.0.0
  description: >-
    API for developers to list charities, create and manage donation configs.
    All endpoints require the `donate-api-key` header. Endpoints are gated by
    API scopes enabled at the organization level: Core API endpoints require the
    `core` scope (enabled by default), Partner API endpoints require the
    `partner` scope (must be explicitly granted).
servers:
  - url: /api/v1
    description: API v1 base path (relative to your dashboard origin)
security: []
paths:
  /configs/{configId}/stats:
    get:
      summary: Get a config stats by id
      description: Get a config stats including donation channels and aggregate stats.
      parameters:
        - schema:
            type: string
            description: Config ID
          required: true
          description: Config ID
          name: configId
          in: path
        - schema:
            type: string
            minLength: 1
            description: Developer API key
          required: true
          description: Developer API key
          name: donate-api-key
          in: header
      responses:
        '200':
          description: Config stats including donation channels and aggregate stats.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  channels:
                    type: object
                    properties:
                      '1':
                        type: object
                        additionalProperties:
                          type: string
                      '10':
                        type: object
                        additionalProperties:
                          type: string
                      '101':
                        type: object
                        additionalProperties:
                          type: string
                      '137':
                        type: object
                        additionalProperties:
                          type: string
                      '999':
                        type: object
                        additionalProperties:
                          type: string
                      '8453':
                        type: object
                        additionalProperties:
                          type: string
                      '42161':
                        type: object
                        additionalProperties:
                          type: string
                      '43114':
                        type: object
                        additionalProperties:
                          type: string
                    additionalProperties: false
                  usdDonatedE6:
                    type: string
                  donationCount:
                    type: string
                  firstDonationDate:
                    type: string
                    nullable: true
                  lastDonationDate:
                    type: string
                    nullable: true
                required:
                  - channels
                  - usdDonatedE6
                  - donationCount
                  - firstDonationDate
                  - lastDonationDate
                additionalProperties: false
        '400':
          description: Validation error
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - VALIDATION_ERROR
                  issues:
                    type: array
                    items:
                      nullable: true
                required:
                  - error
                  - code
                  - issues
                additionalProperties: false
        '403':
          description: You did not create this config.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - FORBIDDEN
                required:
                  - error
                  - code
                additionalProperties: false
        '404':
          description: Config not found.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                required:
                  - error
                  - code
                additionalProperties: false
        '429':
          description: >-
            Rate limit exceeded. Retry after the period indicated by the
            Retry-After header.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
            Retry-After:
              schema:
                type: integer
              description: Seconds until the client should retry.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                required:
                  - error
                  - code
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: donate-api-key
      description: >-
        Developer API key. Required for all requests. Obtain from the Donate
        dashboard.

````